<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file(BASEDIR."local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}


echo '<img src="../images/img/partners.gif" alt=""> <b>Загрузка аватаров</b><br><br>';

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
	
if(!isset($action)){
	
echo'У вас в наличии: '.moneys($udata[41]).'<br>';

if($config_themes!="wml"){		
if($udata[41]>=50000 && $udata[36]>=150){	
echo '<form action="avators3.php?action=avatar&amp;'.SID.'" method="post" name="form" enctype="multipart/form-data">';
echo '<br>Прикрепить аватар: <br>';
echo '<input type="file" name="file" /><br><br>';
echo '<input type="submit" value="Загрузить" /></form><hr>';
}else{echo '<b>У вас недостаточное количество денег на счете или недостаточное количество баллов!</b><br><br>';}
}else{
echo'Для того чтобы добавить фото у вас должен быть включен не wml-cкин<br>Измените тему у себя в настройках!<br><br>';}


echo 'Cейчас ваш аватар: <img src="../'.$udata[43].'" alt=""> .<br>';
echo 'Стоимость загрузки аватара составляет '.moneys(50000).'<br>';
echo 'Внимание! На загрузку аватаров установлены строгие ограничения<br>';
echo 'Загружать аватары могут только пользователи у которых более 150 баллов<br>';
echo 'Размер аватара должен быть точно 32*32 px, вес от 200 до 600 байт<br>';
echo 'Расширение аватаров в формате .gif (в нижнем регистре)<br><br>';

}

//---------------------------- Выбор аватаров --------------------------//
if($action=="avatar"){

$avat_size=$_FILES['file']['size'];
$avat_name=$_FILES['file']['name'];
$size = GetImageSize($_FILES['file']['tmp_name']);
$width = $size[0]; 
$height = $size[1]; 
$av_file = file($_FILES['file']['tmp_name']);
$av_string = substr($av_file[0], 0, 3);

if (ereg (".gif$", $avat_name)) {
if($avat_size>=200 && $avat_size<=600){
if($width==32 && $height==32){
if($av_string=="GIF"){
if($av_file){
if($udata[41]>=50000){
if($udata[36]>=150){
	
copy($_FILES['file']['tmp_name'], "../local/dataavators/".$log.".gif"); 
$ch=$_FILES['file']['tmp_name'];
chmod($ch, 0777);
chmod("../local/dataavators/".$log.".gif", 0777);	

//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[41]=$udata[41]-50000;
$udata[43]=check("gallery/avators.php?uz=$log");

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if(!empty($udata[0]) && !empty($udata[1])){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
}

echo '<br>Аватар успешно загружен!<br>';
echo 'Cейчас ваш аватар: <img src="../gallery/avators.php?uz='.$log.'" alt=""> .<br>';
echo 'C вашего счета списано '.moneys(50000).'<br><br>';

}else{echo'Ошибка, недостаточное количество баллов, необходимо более 150 баллов<br>';}
}else{echo'Вы не можете купить аватар т.к. на вашем счете недостаточно средств<br>';}
}else{echo'Ошибка загрузки аватара<br>';}
}else{echo'Ошибка, недопустимый формат файла! Разрешается загружать аватары только в формате .gif<br>';}
}else{echo'Ошибка, недопустимый размер файла! Разрешается загружать аватары только размером 32*32px<br>';}
}else{echo'Ошибка, недопустимый вес файла! Разрешается загружать аватары только весом от 200 до 600 байт<br>';}
}else{echo'Ошибка, недопустимое расширение файла! Разрешается загружать аватары только в формате .gif<br>';}

echo'<br><img src="../images/img/back.gif" alt=""> <a href="avators3.php?'.SID.'">Вернуться</a><br>';
}

}else{echo'<br>Эта страница доступна только авторизованным пользователям<br><br>';}	
	
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>